Bug 525091 - message subroutine has a error in Error.pm
Summary: message subroutine has a error in Error.pm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: perl-Sys-Virt
Version: 5.4
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Daniel Berrangé
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-23 10:40 UTC by Alex Jia
Modified: 2010-03-30 08:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 08:27:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0251 normal SHIPPED_LIVE perl-Sys-Virt bug fix update 2010-03-29 12:45:00 UTC

Description Alex Jia 2009-09-23 10:40:15 UTC
Description of problem:
message subroutine has a error in Error.pm.

 85 sub message {
 86     my $self = shift;
 87     return $self->{code}
 88 }

at 87 line,it should be "return $self->{message}"

Version-Release number of selected component (if applicable):
[root@dhcp-66-70-97 Virt]# uname -a
Linux dhcp-66-70-97.nay.redhat.com 2.6.18-164.el5xen #1 SMP Tue Aug 18 15:59:52 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
[root@dhcp-66-70-97 Virt]# rpm -qa|grep perl-Sys-Virt
perl-Sys-Virt-0.2.0-4.el5

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 2 Daniel Berrangé 2009-12-16 16:18:33 UTC
Built into perl-Sys-Virt-0.2.0-5.el5

Comment 4 Gunannan Ren 2009-12-24 10:06:08 UTC
The bug has been fixed in perl-Sys-Virt-0.2.0-5.el5

 85 sub message {
 86     my $self = shift;
 87     return $self->{message}
 88 }

Comment 7 errata-xmlrpc 2010-03-30 08:27:53 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0251.html


Note You need to log in before you can comment on or make changes to this bug.